### Constructor

# FwupdPlugin UdevDevice new

since: 1.8.2

#### Declaration [src]

    FuUdevDevice*
    fu_udev_device_new (
      FuContext* ctx,
      GObject* udev_device
    )

#### Description [src]

Creates a new `FuUdevDevice`.

Available since: 1.8.2

#### Parameters

`ctx`

  Type: `FuContext`

  A `FuContext`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`udev_device`

  Type: `GObject`

  A `GUdevDevice`.

  The data is owned by the caller of the function.

#### Return value

Type: `FuUdevDevice`

A `FuUdevDevice`.

The caller of the function takes ownership of the data, and is responsible for freeing it.